curl --request GET \
--url https://api.engine.usesophic.com/prices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engine.usesophic.com/prices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engine.usesophic.com/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"accrued_interest": "0.87123288",
"ask": "99.50",
"bid": "99.25",
"currency": "EUR",
"mid": "99.375",
"price_type": "percent",
"quality": "closing",
"symbol": "<string>",
"timestamp": "2026-07-14T09:34:12Z",
"ytm_ask": "4.20",
"ytm_bid": "4.25",
"ytm_mid": "4.23",
"dirty_ask": "100.37",
"dirty_bid": "100.12",
"dirty_mid": "100.245"
}
]{
"code": "<string>",
"detail": "<string>",
"context": {},
"docs": "<string>",
"params": [
{
"code": "<string>",
"detail": "<string>",
"path": [
123
]
}
]
}Retrieve prices
Retrieve the price for the requested symbols as-of the given datetime, which defaults to now.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return prices for the given symbols.
Return prices as-of the given datetime. Defaults to now.
Response
OK
The accrued interest at standard settlement.
"0.87123288"
The ask price.
"99.50"
The bid price.
"99.25"
The trading currency associated with the price.
EUR, USD, GBP The midpoint between the bid and ask prices.
"99.375"
The price quotation type.
percent, money The timeliness quality of the price.
closing, intraday, realtime, delayed The instrument symbol, such as an ISIN or ticker.
The time the price took effect.
"2026-07-14T09:34:12Z"
The ask yield to maturity for a fixed-income instrument.
"4.20"
The bid yield to maturity for a fixed-income instrument.
"4.25"
The midpoint yield to maturity for a fixed-income instrument.
"4.23"
The ask price including accrued interest.
"100.37"
The bid price including accrued interest.
"100.12"
The midpoint price including accrued interest.
"100.245"